package com.platform.dao;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.platform.entities.GatherOracleInfo;

@Repository(value = "gatherOracleDao")
public interface GatherOracleDao {
	
	/**
	 * @return 查询所有的oracle记录
	 * @throws Exception 异常
	 */
	public List<GatherOracleInfo> selectAllOracle() throws Exception;
	
	/**
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public int deleteOracleById(int id) throws Exception;
	
	/**
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int insertOracle(GatherOracleInfo oracle) throws Exception;
	
	/**
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int updateOracleById(GatherOracleInfo oracle) throws Exception;
	
	/**
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int updateAllOracle(GatherOracleInfo oracle) throws Exception;
	
	/**
	 * @param oracle
	 * @return
	 * @throws Exception
	 */
	public int updateAllOracleExceptId(GatherOracleInfo oracle) throws Exception;

}
